/****** algebra.h **********/

#ifndef __ALGEBRA_H
#define __ALGEBRA_H

#include <math.h>
#include <assert.h>
#include <stdlib.h>
#include <stdio.h>

void
print_x(float*,int,int);

void
add(
  float*a,
  float*b,
  float*c);

void
minus(
  float*a,
  float*b,
  float*c);

float
dot3(float*,float*);

int
imetric3(
  int*a,
  int*b);

float
metric3(
  float*a,
  float*b);

float
xmetric3( float*,float*,int);

float
dmetric2(float*,float*);

void
print_rot(float*r);

void
rotate(
  float *r,
  float*x, 
  float*_x /* return */ );

void
lrotate(
  float*x, 
  float *r,
  float*_x /* return */ );

void
mult(float *a,float*b,float*c);

void
conj(float*,float*,float*);

void
trans(float*,float*);

void ortho(float*);

void
z_rot(float*r,float theta);

void
y_rot(float*r,float theta);

void
x_rot(float*r,float theta);

#endif
