#ifndef __ARCHITECT_H
#define __ARCHITECT_H
#include "scene.h"
#include "people.h"
#include "map.h"
#include "cursor.h"
#include "command.h"

struct architect
{
  struct scene s;
  struct cam c;
  struct map m;
  struct people pl;
  struct cursor*cr;
  struct command cmd;
  char filename[256];
  int edit;
};

void
architect_init(struct architect*ar,int level,char*filename);

void
architect_finalize(struct architect*ar);

#endif
