#ifndef __BSP_H
#define __BSP_H
#include "dlink.h"

struct bsp
{
  /** which dimension: 0, 1 or 2, as in map.c: _*_sq */
  int l; 
  /** the coordinate */
  int a;
  /** behind, in front */
  struct bsp *_p, *p_;
  /** behind, on, in front */
  struct dlink *_dl,*dl,*dl_;
};

struct bsp*
bsp_alloc_init(int l,int a);

void
bsp_finalize_free(struct bsp*p);

void
bsp_draw_scene(struct bsp*p, struct cam*c);

int
bsp_remove_draw_item(struct bsp*p,struct draw_item*d);

void
bsp_insert_draw_item(struct bsp*p,struct draw_item*d);

#endif
