#ifndef __COMMAND_H
#define __COMMAND_H

#define CAM_TRACK_UP		'w'
#define CAM_TRACK_DOWN		'z'
#define CAM_TRACK_LEFT		'a'
#define CAM_TRACK_RIGHT		's'
#define PERSON_WALK_FORWARD	'0'
#define PERSON_WALK_LEFT	'o'
#define PERSON_WALK_RIGHT	'p'
#define PERSON_WALK_BACK	'l'
#define PERSON_STOP		'\\'
#define SPACE_BAR		' '


struct architect;

struct command
{
  struct architect*ar;
  char *ch;
  int idx;
  int nch;
};

void
command_init(struct command*,struct architect*);

void
command_set_record(struct command*);

void
command_write(struct command*,int fd);

int
command_dispatch(struct command*cmd,char ch);

void
command_finalize(struct command*);

#endif
