#ifndef __DLINK_H
#define __DLINK_H
#include "map.h"
#include "cursor.h"
#include "globals.h"


struct draw_item;

struct dlink
{
  struct draw_item*d;
  struct dlink*next;
};


struct dlink*
dlink_alloc_init();

void
dlink_empty(struct dlink*);

int
dlink_is_empty(struct dlink*);

struct draw_item*
dlink_top(struct dlink*);

void
dlink_push(struct dlink*,struct draw_item*);

struct draw_item*
dlink_pop(struct dlink*);

int
dlink_remove(struct dlink*,struct draw_item*);

void
dlink_free(struct dlink*);

#endif



