
struct cmap
{
  Uint8 r,g,b;
  Uint32 c;
};

#define MAX_CMAP 16
struct cinfo
{
  struct cmap cm[MAX_CMAP]; /* array */
  int n;
};

static struct cinfo cin_list[MAX_CID+1] =
{
  {
    /* border */
    {{200, 60, 0}}, 1
  },
  {
     /* brick */
    {{128, 0, 0},{ 192, 0, 0 }, {255, 0, 0}}, 3
  },
  {
     /* solid */
    {{64, 64, 64}, {128, 128, 128}, {192, 192, 192}}, 3
  },
  {
     /* parcel */
    {{176, 176, 0}}, 1
  },
  {
     /* robot  */
    {{0, 64, 192}}, 1
  },
  {
     /* hero */
    {{192, 192, 192}}, 1
  },
  {
     /* robot portal */
    {{64, 64, 64}}, 1
  },
  {
     /* exit portal */
    {{0, 0, 255}}, 1
  },
  {
     /* cursor */
    {{0, 128, 255}}, 1
  }
};

