#ifndef __COLOUR_H
#define __COLOUR_H
#include <SDL/SDL_types.h>

/******** Colour ID **********/
#define BORDER_CID       0
#define BRICK_CID        1
#define SOLID_CID        2
#define PARCEL_CID       3
#define ROBOT_CID        4	
#define HERO_CID         5
#define ROBOT_PORTAL_CID 6
#define PORTAL_CID       7
#define CURSOR_CID       8
#define MAX_CID          9



void
colour_init();

Uint32
colour_lookup(int cid,int idx);

void
colour_finalize();


#endif
