#ifndef __DRAW_H
#define __DRAW_H

#include <SDL/SDL.h>

extern SDL_Surface*screen;
extern int width,height;
extern Uint32 _white;
extern Uint32 _black;
extern Uint32 _red,_blue,_green;

void draw_init();
void draw_finalize();
void draw_update();
void draw_pixel(int x,int y,int c);
void draw_wu_line(Uint32 x0, Uint32 y0, Uint32 x1, Uint32 y1,
  Uint32 fgc, Uint32 bgc, int nlevels, int nbits);
void draw_line(int x1,int y1,int x2,int y2,int color);
void draw_fillbox(int x0,int y0,int x1,int y1,int c);
void draw_hline( int x0,int y,int x1,int c);



#endif
